PICOTOOL-CONFIG(1)

NAME
picotool-config - Display or change program configuration settings from the target device(s) or file.

SYNOPSIS
picotool config [-s <key> <value>] [-g <group>] [device-selection]

picotool config [-s <key> <value>] [-g <group>] <filename> [-t <type>]

OPTIONS

<key>
    Variable name

<value>
    New value

-g <group>
    Filter by feature group

TARGET SELECTION
To target one or more connected RP-series device(s) in BOOTSEL mode (the default)

--bus <bus>
    Filter devices by USB bus number

--address <addr>
    Filter devices by USB device address

--vid <vid>
    Filter by vendor id

--pid <pid>
    Filter by product id

--ser <ser>
    Filter by serial number

-f, --force
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will berebooted back to application mode

-F, --force-no-reboot
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will be leftconnected and accessible to picotool, but without the USB drivemounted

To target a file

<filename>
    The file name

-t <type>
    Specify file type (uf2 | elf | bin) explicitly, ignoring fileextension